interactions:
- request:
    body: ''
    headers:
      accept:
      - application/json
      content-length:
      - '0'
    method: GET
    uri: https://gitlab.com/api/v4/projects/22233142/merge_requests/8/versions
  response:
    body:
      string: '[{"id":138144569,"head_commit_sha":"2bcc95654c259f8c5af590fd731623d2db16656b","base_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","start_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","created_at":"2021-01-25T01:45:21.482Z","merge_request_id":84739104,"state":"collected","real_size":"7"},{"id":138143248,"head_commit_sha":"37fede33db9abe7a4120a07662b3c79411635bec","base_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","start_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","created_at":"2021-01-25T01:11:45.344Z","merge_request_id":84739104,"state":"without_files","real_size":"7"},{"id":137003373,"head_commit_sha":"08b732bc9eb4d4696a9c8bc29e593d2d7ce7103e","base_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","start_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","created_at":"2021-01-19T12:42:14.529Z","merge_request_id":84739104,"state":"without_files","real_size":"4"},{"id":136759084,"head_commit_sha":"ea1ff64bc50cf44ad837c9d3139d2aeb321d35eb","base_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","start_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","created_at":"2021-01-18T14:06:48.275Z","merge_request_id":84739104,"state":"without_files","real_size":"3"},{"id":136700924,"head_commit_sha":"ec973f3bb6a4f10023d4ae2604f6926203ed74f0","base_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","start_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","created_at":"2021-01-18T10:59:46.371Z","merge_request_id":84739104,"state":"without_files","real_size":"2"},{"id":136336059,"head_commit_sha":"d111984edbd93c5937b0753b92d9b8740738ffc1","base_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","start_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","created_at":"2021-01-15T13:28:02.697Z","merge_request_id":84739104,"state":"without_files","real_size":"1"},{"id":136068030,"head_commit_sha":"41f569e8e024051109503702ce4f5d52acc2ed98","base_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","start_commit_sha":"a944472c04482f4ada26a36efcf1b9013aa54005","created_at":"2021-01-14T13:28:41.458Z","merge_request_id":84739104,"state":"without_files","real_size":"1"}]'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 62a4c5b37b6ad208-MAN
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Encoding:
      - gzip
      Content-Type:
      - application/json
      Date:
      - Wed, 03 Mar 2021 18:01:49 GMT
      Etag:
      - W/"be52821c229b7b78b07d4a04166fa5b8"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-06-lb-gprd
      GitLab-SV:
      - localhost
      Link:
      - <https://gitlab.com/api/v4/projects/22233142/merge_requests/8/versions?id=22233142&merge_request_iid=8&page=1&per_page=20>;
        rel="first", <https://gitlab.com/api/v4/projects/22233142/merge_requests/8/versions?id=22233142&merge_request_iid=8&page=1&per_page=20>;
        rel="last"
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '11'
      RateLimit-Remaining:
      - '1989'
      RateLimit-Reset:
      - '1614794569'
      RateLimit-ResetTime:
      - Wed, 03 Mar 2021 18:02:49 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Server:
      - cloudflare
      Set-Cookie:
      - __cfduid=d3490b5cc2fbf69da77d973ae9ee78da71614794509; expires=Fri, 02-Apr-21
        18:01:49 GMT; path=/; domain=.gitlab.com; HttpOnly; SameSite=Lax; Secure
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept-Encoding
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - code_review
      X-Next-Page:
      - ''
      X-Page:
      - '1'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - ''
      X-Request-Id:
      - 01EZWM1K49DZWD0QME51VA7BT5
      X-Runtime:
      - '0.055108'
      X-Total:
      - '7'
      X-Total-Pages:
      - '1'
      cf-request-id:
      - 089ad9e42b0000d2085536b000000001
    status:
      code: 200
      message: OK
    url: https://gitlab.com/api/v4/projects/22233142/merge_requests/8/versions
version: 1
